View Issue Details

IDProjectCategoryView StatusLast Update
0000753OpenMPT[All Projects] Generalpublic2016-04-21 18:48
ReporterLPChipAssigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.25.04.00 / libopenmpt 0.2-beta16 (upgrade first) 
Target VersionOpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first)Fixed in VersionOpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first) 
Summary0000753: Play Row on last row moves cursor to top
Description

With continuous scroll off, if you press the play row (assigned to 8 on my end) at the last row, the cursor moves to the top, which is very inconvenient if you're working on that last note and want to keep playing it and move back to it quickly.

I would expect that given there is no next note below to jump to, the cursor would remain on the same row. This is also how Impulse Tracker did it.

Also, the Play Row functionality seems to disregard the Edit Step value. It might be nice if the play Row also skips to the next x rows (or not at all) if the Edit Step number is something other than 1, for example 0, remain on the same row, or 2 to skip down two.

Steps To Reproduce

Move to the last row and press the "Play Row" key.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2016-04-18 01:37

administrator   ~0002339

I guess it might make sense to keep the current behaviour for the "Cursor Wrap in Pattern Editor" option, to keep it consistent with the edit cursor behaviour. But when this option is off, it does indeed make more sense to stay on the current row.

Saga Musix

Saga Musix

2016-04-18 01:43

administrator   ~0002340

Try r6270 from https://buildbot.openmpt.org/builds/ to check if it behaves better now.

LPChip

LPChip

2016-04-21 18:30

manager   ~0002342

Much better. This is what I'd expect. :) Thanks.

Issue History

Date Modified Username Field Change
2016-02-28 12:56 LPChip New Issue
2016-02-28 12:59 LPChip Description Updated View Revisions
2016-04-18 01:37 Saga Musix Assigned To => Saga Musix
2016-04-18 01:37 Saga Musix Status new => assigned
2016-04-18 01:37 Saga Musix Note Added: 0002339
2016-04-18 01:43 Saga Musix Note Added: 0002340
2016-04-18 01:43 Saga Musix Target Version => OpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first)
2016-04-18 01:44 Saga Musix Status assigned => feedback
2016-04-21 18:30 LPChip Note Added: 0002342
2016-04-21 18:30 LPChip Status feedback => assigned
2016-04-21 18:48 Saga Musix Status assigned => resolved
2016-04-21 18:48 Saga Musix Resolution open => fixed
2016-04-21 18:48 Saga Musix Fixed in Version => OpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first)